import clr
clr.AddReference('Soti.Connect.SemanticEngine.Conversions')

from Soti.Connect.SemanticEngine.Conversions import Converter

print("Loading NoConversionFloatRange50pt8To225 Converter")

class NoConversionFloatRange50pt8To225(Converter):

    def Execute(self, args):
        if args == None or args[0] == None:
            return

        MinBound = 50.8
        MaxBound = 225
        res = max(MinBound, min(float(args[0]), MaxBound))
        return res




plugin = NoConversionFloatRange50pt8To225("NoConversionFloatRange50pt8To225")

store.AddConverter(plugin)